Page MenuHomePhabricator

Archive the Semantic Tasks extension due to move to GitHub
Closed, ResolvedPublicRequest

Description

Reason
Extension unmaintained for years which will be taken over and further developed on GitHub.

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Clone the existing repo into the new repo
  • Phabricator
    • Archive Phabricator project <#ProjectX> for the extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project <#ProjectX> description for the extension/skin with a link to this ticket.
  • Translatewiki.net/translations
    • Switch translatewiki.net from Gerrit to GitHub (groups/MediaWiki/mediawiki-extensions.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories

Details

Event Timeline

Kghbln created this task.Apr 22 2019, 3:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2019, 3:36 PM
Kghbln renamed this task from Archive the <name of extension/skin> to Archive the Semantic Tasks extension due to move to GitHub.Apr 22 2019, 3:36 PM
Kghbln updated the task description. (Show Details)
Kghbln removed a project: Other-skins.
Kghbln updated the task description. (Show Details)
Kghbln updated the task description. (Show Details)
Kghbln updated the task description. (Show Details)Apr 22 2019, 3:39 PM
Dinoguy1000 updated the task description. (Show Details)Apr 22 2019, 4:43 PM
Kghbln updated the task description. (Show Details)Apr 22 2019, 6:08 PM
MacFan4000 updated the task description. (Show Details)Apr 30 2019, 4:41 PM
MacFan4000 added subscribers: Ryan_Lane, tosfos.

Change 510693 had a related patch set uploaded (by Kghbln; owner: Kghbln):
[translatewiki@master] Move Semantic Tasks extension from Gerrit to GitHub

https://gerrit.wikimedia.org/r/510693

Kghbln updated the task description. (Show Details)May 16 2019, 8:17 AM
Kghbln added a project: translatewiki.net.

Change 510693 merged by jenkins-bot:
[translatewiki@master] Move Semantic Tasks extension from Gerrit to GitHub

https://gerrit.wikimedia.org/r/510693

abi_ added a subscriber: abi_.Jun 24 2019, 4:32 PM

SemanticTasks extension's configuration has been updated on Translatewiki.net to reflect the move to Github.

Above is a screenshot of the latest changes from Github ( Commit )

D3r1ck01 updated the task description. (Show Details)Aug 31 2019, 1:17 PM
Kghbln updated the task description. (Show Details)Sep 3 2019, 10:52 PM
Zoranzoki21 updated the task description. (Show Details)Nov 17 2019, 8:52 PM

Change 567262 had a related patch set uploaded (by D3r1ck01; owner: Derick N. Alangi):
[integration/config@master] Mark SemanticTasks extension as archived

https://gerrit.wikimedia.org/r/567262

D3r1ck01 claimed this task.Sat, Jan 25, 7:06 PM
D3r1ck01 triaged this task as Medium priority.
D3r1ck01 updated the task description. (Show Details)
Restricted Application added a project: User-D3r1ck01. · View Herald TranscriptSat, Jan 25, 7:07 PM
D3r1ck01 moved this task from Backlog to Doing [WIP] on the User-D3r1ck01 board.Sat, Jan 25, 7:08 PM

Change 567273 had a related patch set uploaded (by D3r1ck01; owner: Derick N. Alangi):
[mediawiki/extensions/SemanticTasks@master] Empty SemanticTasks repository and place archive file

https://gerrit.wikimedia.org/r/567273

D3r1ck01 updated the task description. (Show Details)Sat, Jan 25, 7:41 PM

Change 567273 merged by MarcoAurelio:
[mediawiki/extensions/SemanticTasks@master] Empty SemanticTasks repository and place archive file

https://gerrit.wikimedia.org/r/567273

D3r1ck01 updated the task description. (Show Details)Sat, Jan 25, 10:44 PM
D3r1ck01 updated the task description. (Show Details)

Change 567262 merged by jenkins-bot:
[integration/config@master] layout: Mark mediawiki/extensions/SemanticTasks as archived

https://gerrit.wikimedia.org/r/567262

Mentioned in SAL (#wikimedia-releng) [2020-01-26T22:20:00Z] <James_F> Zuul: Mark mediawiki/extensions/SemanticTasks as archived T221549

Change 567371 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions@master] Drop the "SemanticTasks" extension, moving to GitHub hosting

https://gerrit.wikimedia.org/r/567371

Change 567371 merged by Jforrester:
[mediawiki/extensions@master] Drop the "SemanticTasks" extension, moving to GitHub hosting

https://gerrit.wikimedia.org/r/567371

Jdforrester-WMF closed this task as Resolved.Sun, Jan 26, 11:21 PM
Jdforrester-WMF updated the task description. (Show Details)